package dto

import (
	"cold-delivery/common/model"
	"github.com/gin-gonic/gin"
)

type Index interface {
	Generate() Index
	Bind(ctx *gin.Context) error
	GetPageIndex() int
	GetPageSize() int
	GetNeedSearch() interface{}
}

type Control interface {
	Generate() Control
	Bind(ctx *gin.Context) error
	GenerateM() (model.ActiveRecord, error)
	GetId() interface{}
}
